[pkg-kolab] r107 - trunk/kolab-resource-handlers/debian/patches

Steffen Joeris white-guest at costa.debian.org
Thu Jan 5 11:12:12 UTC 2006


Author: white-guest
Date: 2006-01-05 11:12:11 +0000 (Thu, 05 Jan 2006)
New Revision: 107

Added:
   trunk/kolab-resource-handlers/debian/patches/60-olhacks.php.dpatch
Modified:
   trunk/kolab-resource-handlers/debian/patches/00list
Log:
* wrote patch for olhacks.php to fix the requires


Modified: trunk/kolab-resource-handlers/debian/patches/00list
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/00list	2006-01-05 11:06:51 UTC (rev 106)
+++ trunk/kolab-resource-handlers/debian/patches/00list	2006-01-05 11:12:11 UTC (rev 107)
@@ -3,3 +3,4 @@
 30-kolabmailboxfilter.php
 40-resmgr.php
 50-kolabfilter.php
+60-olhacks.php

Added: trunk/kolab-resource-handlers/debian/patches/60-olhacks.php.dpatch
===================================================================
--- trunk/kolab-resource-handlers/debian/patches/60-olhacks.php.dpatch	2006-01-05 11:06:51 UTC (rev 106)
+++ trunk/kolab-resource-handlers/debian/patches/60-olhacks.php.dpatch	2006-01-05 11:12:11 UTC (rev 107)
@@ -0,0 +1,52 @@
+#!/bin/sh -e
+## 60-olhacks.php.dpatch by Steffen Joeris <steffen.joeris at skolelinux.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Correct requires for debian
+
+if [ $# -lt 1 ]; then
+echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+case "$1" in
+      -patch) patch $patch_opts -p1 < $0;;
+      -unpatch) patch $patch_opts -p1 -R < $0;;
+      *)
+      echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+      exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/olhacks.php.orig	2006-01-05 12:02:06.000000000 +0100
++++ kolab-resource-handlers-0.3.9/kolab-resource-handlers/resmgr/olhacks.php	2006-01-05 12:07:19.000000000 +0100
+@@ -18,15 +18,15 @@
+  *  Project's homepage; see <http://www.gnu.org/licenses/gpl.html>.
+  */
+ 
+-require_once 'kolabfilter/misc.php';
+-require_once HORDE_BASE . '/lib/core.php';
+-require_once 'Horde/iCalendar.php';
+-require_once 'Horde/NLS.php';
+-require_once 'Horde/MIME.php';
+-require_once 'Horde/MIME/Message.php';
+-require_once 'Horde/MIME/Headers.php';
+-require_once 'Horde/MIME/Part.php';
+-require_once 'Horde/MIME/Structure.php';
++require_once '/usr/share/kolab-resource-handlers/php/misc.php';
++require_once HORDE_BASE . '/usr/share/horde3/lib/core.php';
++require_once '/usr/share/horde3/lib/Horde/iCalendar.php';
++require_once '/usr/share/horde3/lib/Horde/NLS.php';
++require_once '/usr/share/horde3/lib/Horde/MIME.php';
++require_once '/usr/share/horde3/lib/Horde/MIME/Message.php';
++require_once '/usr/share/horde3/lib/Horde/MIME/Headers.php';
++require_once '/usr/share/horde3/lib/Horde/MIME/Part.php';
++require_once '/usr/share/horde3/lib/Horde/MIME/Structure.php';
+ 
+ $forwardtext = "This is an invitation forwarded by outlook and\n".
+   "was rectified by the Kolab server.\n".


Property changes on: trunk/kolab-resource-handlers/debian/patches/60-olhacks.php.dpatch
___________________________________________________________________
Name: svn:executable
   + *




More information about the pkg-kolab-devel mailing list